> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Schemas

> Return NCL config schemas for all tool types, grouped by category.



## OpenAPI

````yaml get /v1/agents/tool-schemas
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/tool-schemas:
    get:
      tags:
        - V1 - Agents (Co-workers)
      summary: Get Tool Schemas
      description: Return NCL config schemas for all tool types, grouped by category.
      operationId: get_tool_schemas
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  items:
                    $ref: '#/components/schemas/ToolSchemaEntry'
                  type: array
                type: object
                title: Response Get Tool Schemas
      security:
        - APIKeyHeader: []
components:
  schemas:
    ToolSchemaEntry:
      properties:
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        category:
          type: string
          title: Category
        icon:
          type: string
          title: Icon
        config_schema:
          additionalProperties: true
          type: object
          title: Config Schema
      type: object
      required:
        - type
        - title
        - description
        - category
        - icon
        - config_schema
      title: ToolSchemaEntry
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````